Lista todos os cargos
curl --request GET \
--url https://api.example.com/cargosconst options = {method: 'GET'};
fetch('https://api.example.com/cargos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/cargos"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cargos"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"pagina": 0,
"limite": 10,
"total": 5,
"cargos": [
{
"cargoId": "b5887a64-6aa1-43e8-b233-ffadc7f92ca6",
"nome": "Diretor",
"codigo": 5,
"ativo": true,
"colaboradores": 10,
"codigoCbo": "123115",
"codigoCboDescricao": "Diretor financeiro",
"unidadeNegocioId": "1b88e4f3-04bf-4185-b782-9211e4b6bca4",
"unidadeNegocio": {
"unidadeNegocioId": "1b88e4f3-04bf-4185-b782-9211e4b6bca4",
"nome": "Pontua Matriz",
"numeroCadastro": "12345678912",
"logo": "//logo.png"
}
}
]
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Cargo
Lista todos os cargos
GET
/
cargos
Lista todos os cargos
Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
Example:
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
Example:
100
Campo para filtrar cargo por seu status